Subject: Re: bug#36648: emacs signals under gdb - [Re: connecting to a lost server process

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2019 09:53:30 +0300

> Date: Fri, 19 Jul 2019 07:23:39 +0530 (IST)
> Cc: [email-masked]
> From: Madhu <[email-masked]>
> 
> > I suggest to use "M-x gdb", not "M-x gud-gdb".  The latter is an old
> > and semi-deprecated way of running GDB from Emacs.
> 
> [Unfortunately for me gud-gdb is the only way I can use gdb under
> emacs. I was using M-x gdb in emacs19, but was unable to use gdb under
> emacs for some time when it was replaced by gdb-mi - where it seemed a
> superhuman adversary would rearrange my windows and impede my workflow
> in myraid ways - until I discovered gud-gdb]

My suggestion is still to use "M-x gdb", but do that in a separate
frame.  Then the dedicated windows used by gdb-mi.el will not get in
the way of your other windows.

> > I guess we can close this bug report?
> 
> Yes please.

Thanks, done.